<?php
// Include your database connection file
include 'db_connection.php';


$id = $_POST['id'];
$newData = $_POST['new_data'];


// Validate and sanitize input
$id = intval($id); // Convert to integer
$newData = $conn->real_escape_string($newData);

// Update data in the database using prepared statements
$stmt = $conn->prepare("UPDATE `order` SET `tracking_code` = ? WHERE `id` = ?");
$stmt->bind_param("si", $newData, $id);


if ($stmt->execute()) {
    echo "success";
} else {
    echo "Error updating record: " . $stmt->error;
}

$stmt->close();
?>