<?php

// Include your database connection configuration
include 'db_connection.php';

// Retrieve data from POST request
$name = $_POST['name'];
$price = $_POST['price'];
$quantity = $_POST['quantity'];
$total = $_POST['total'];
$productid = $_POST['productid'];

// Prepare and bind the insertion query
$stmt = $conn->prepare("INSERT INTO pcart (name, price, quantity, total, productid) VALUES (?, ?, ?, ?, ?)");
$stmt->bind_param("sssss", $name, $price, $quantity, $total, $productid);

// Execute the query
if ($stmt->execute() === TRUE) {
    echo "New record inserted successfully";
} else {
    echo "Error: " . $stmt->error;
}

$stmt->close();
$conn->close();

?>
